<?php
/* -------------------- 初 -- 期 -- 設 -- 定 -- 開 -- 始 --------------------
  【注意】設定の際には「"」や「;」を削除しないよう気をつけてください。     */

// ★イラスト・漫画コンテンツの名前
$custom_picture_ja = "イラスト・漫画";

// ★小説コンテンツの名前
$custom_text_ja = "小説";


// ★ホームに載せるサイト説明（文章はブロックレベルタグで囲ってください。なお、タグは使用できますが、ダブルクォーテーションは使わないでください）
$site_information = "
<!-- サイト説明文開始 -->
<p>これは創作（イラスト・漫画・小説など）サイト向けWordPressテーマを使ったサンプルブログです。WordPress上で作品の管理ができ、かつ快適に閲覧できることを目的に作りました。例えば、みなさんが今読んでいる文章は管理画面のfunction.phpから変更できますし、ヘッダー画像も同じく管理画面からアップロードできます。また、プラグイン未使用の状態でスマートフォンに対応しています。</p>
<p>詳しくは<a href='../'>創作サイト向けWordPressテーマの説明</a>をご覧ください。</p>
<!-- サイト説明文終了 -->
"; // ←削除不可


// -------------------- 初 -- 期 -- 設 -- 定 -- 終 -- 了 --------------------





// http://wpdocs.osdn.jp/%E3%83%86%E3%83%B3%E3%83%97%E3%83%AC%E3%83%BC%E3%83%88%E3%82%BF%E3%82%B0/wp_nav_menu#.E3.83.8A.E3.83.93.E3.82.B2.E3.83.BC.E3.82.B7.E3.83.A7.E3.83.B3.E3.82.B3.E3.83.B3.E3.83.86.E3.83.8A.E3.82.92.E5.89.8A.E9.99.A4.E3.81.99.E3.82.8B 参照

function my_wp_nav_menu_args( $args = '' )
	{
	$args['container'] = false;
	return $args;
	}
add_filter( 'wp_nav_menu_args', 'my_wp_nav_menu_args' );





// クラスを削除して、表示中メニューに 'current' クラスを付与する
add_filter( 'nav_menu_css_class', 'remove_to_currentClass', 10, 2 );
function remove_to_currentClass( $classes, $item ) {
    $classes = array();
    if( $item -> current == true ) {
        $classes[] = 'current';
    }
    return $classes;
}





// ID を削除する 
add_filter('nav_menu_item_id', 'removeId', 10);
function removeId( $id ){ 
    return $id = array(); 
}










/* ---------------------------------------
   リビジョン停止
   -------------------------------------- */
define('WP_POST_REVISIONS', false );
define('AUTOSAVE_INTERVAL',36000);





/* ---------------------------------------
   カスタム投稿タイプ（イラスト・漫画）
   -------------------------------------- */

// イラスト・漫画コンテンツの英語タイトル（※必ず半角小文字英数にすること）
$custom_picture_en = "picture";

/* イラスト・漫画コンテンツ タイトル出力（英語） */
function custom_picture_title_en()
	{
	global $custom_picture_en;
	echo   $custom_picture_en;
	}


/* イラスト・漫画コンテンツ タイトル出力（日本語） */
function custom_picture_title_ja()
	{
	global $custom_picture_ja;
	echo   $custom_picture_ja;
	}


//カスタム投稿タイプ（イラスト・漫画）
register_post_type(
	'picture',
	array(
		'label' => 'イラスト・漫画',
		'labels' => array(
			'name' => 'イラスト・漫画',
			'singular_name' => 'イラスト・漫画',
			'add_new_item' => 'イラスト・漫画を追加',
			'add_new' => '新規追加',
			'new_item' => '新規製品',
			'view_item' => 'イラスト・漫画を表示',
			'not_found' => 'イラスト・漫画は見つかりませんでした',
			'not_found_in_trash' => 'イラスト・漫画に製品はありません。',
			'search_items' => 'イラスト・漫画を検索'
		),
		'hierarchical' => false,
		'menu_position' => 5,
		'public' => true,
		'query_var' => false,
		'supports' => array('title','editor','thumbnail','excerpt'),
		'has_archive' => true
	)
);


//カスタム分類追加(イラスト・漫画用)
register_taxonomy(
	'picture-tag',
	'picture',
	array(
		'label' => '分類タグ',
		'hierarchical' => false
	)
);


//カスタム分類を管理画面の一覧に表示
add_filter('manage_edit-picture_columns', 'my_picture_columns');
function my_picture_columns($columns){
	$columns = array(
		'cb' => '<input type="checkbox" />',
		'title' => 'タイトル',
		'tags1' => '分類タグ',
		'author' => '投稿者',
		'date' => '日付'
	);	
	return $columns;
}

add_action('manage_posts_custom_column', 'my_picture_column');
function my_picture_column($column){
	global $post;
	if('tags1' == $column) {
		$tagsArray = get_the_terms($id, 'picture-tag');
		if ( !empty( $tagsArray ) ) {
			$out = array();
			foreach( $tagsArray as $term) {
				$out[] = "<a href='edit.php?post_type={$post->post_type}&amp;picture-tag={$term->slug}'> " . esc_html(sanitize_term_field('name', $term->name, $term->term_id, 'picture-tag', 'display')) . "</a>";
			}
			echo join( ', ', $out );
		}
	}
}


/* サムネイルサイズ追加 */
add_theme_support( 'post-thumbnails', array('picture') );
set_post_thumbnail_size( 100, 100, true );
add_image_size( 'thumbnail-100', 100, 100, true );
add_image_size( 'thumbnail-90',   90,  90, true );
add_image_size( 'thumbnail-80',   80,  80, true );
add_image_size( 'thumbnail-70',   70,  70, true );
add_image_size( 'thumbnail-60',   60,  60, true );
add_image_size( 'thumbnail-50',   50,  50, true );

//投稿の画像を一覧表示
function thumbnail_gallery($max=99, $size="thumbnail"){
	global $post;
	$args = array(
		'post_type' => 'attachment',
		'numberposts' => $max,
		'post_status' => inherit,
		'post_parent' => $post->ID,
		'post_mime_type' => 'image',
		'orderby' => 'menu_order ID',
		);
	$attachments = get_posts($args);
	if (is_array($attachments)) {
		 echo '<ul class="thumbnail-list">';
		foreach ($attachments as $attachment) {
			echo '<li class="thumbnail-list">';
			echo '<a href="'.$attachment->guid.'" rel="colorbox" title="'.$attachment->post_title.'">'.wp_get_attachment_image($attachment->ID,$size)."</a>";
			echo "</li>";
		}
		 echo "</ul>";
	}
}





/* ---------------------------------------
   カスタム投稿タイプ（小説）
   -------------------------------------- */

// 小説コンテンツの英語タイトル（※必ず半角小文字英数にすること）
$custom_text_en = "text";

/* 小説コンテンツ タイトル出力（英語） */
function custom_text_title_en()
	{
	global $custom_text_en;
	echo   $custom_text_en;
	}


/* 小説コンテンツ タイトル出力（日本語） */
function custom_text_title_ja()
	{
	global $custom_text_ja;
	echo   $custom_text_ja;
	}


//カスタム投稿タイプ（小説）
register_post_type(
	'text',
	array(
		'label' => '小説',
		'labels' => array(
			'name' => '小説',
			'singular_name' => '小説',
			'add_new_item' => '小説を追加',
			'add_new' => '新規追加',
			'new_item' => '新規製品',
			'view_item' => '小説を表示',
			'not_found' => '小説は見つかりませんでした',
			'not_found_in_trash' => '小説に製品はありません。',
			'search_items' => '小説を検索'
		),
		'hierarchical' => false,
		'menu_position' => 5,
		'public' => true,
		'query_var' => false,
		'supports' => array('title','editor','thumbnail','excerpt'),
		'has_archive' => true
	)
);

//カスタム分類追加(小説用)
register_taxonomy(
	'text-tag',
	'text',
	array(
		'label' => '分類タグ',
		'hierarchical' => false
	)
);

//カスタム分類を管理画面の一覧に表示
add_filter('manage_edit-text_columns', 'my_text_columns');
function my_text_columns($columns){
	$columns = array(
		'cb' => '<input type="checkbox" />',
		'title' => 'タイトル',
		'tags1' => '分類タグ',
		'author' => '投稿者',
		'date' => '日付'
	);	
	return $columns;
}

add_action('manage_posts_custom_column', 'my_text_column');
function my_text_column($column){
	global $post;
	if('tags1' == $column) {
		$tagsArray = get_the_terms($id, 'text-tag');
		if ( !empty( $tagsArray ) ) {
			$out = array();
			foreach( $tagsArray as $term) {
				$out[] = "<a href='edit.php?post_type={$post->post_type}&amp;text-tag={$term->slug}'> " . esc_html(sanitize_term_field('name', $term->name, $term->term_id, 'text-tag', 'display')) . "</a>";
			}
			echo join( ', ', $out );
		}
	}
}









/* ---------------------------------------
   カスタムヘッダー機能追加
   -------------------------------------- */

add_custom_image_header('header_style','admin_header_style');
define('HEADER_IMAGE','%s/image/home-no-image.gif');
define('HEADER_IMAGE_WIDTH','700');
define('HEADER_IMAGE_HEIGHT','300');
define('NO_HEADER_TEXT',true);

function header_style()
	{
	return 0;
	}

function admin_header_style() {
    ?><style type="text/css">
        #headimg {
            width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
        }
    </style><?php
}





/* ---------------------------------------
   カスタムメニュー機能追加
   -------------------------------------- */

register_nav_menus(array('custom_navigation'=>'カスタムナビゲーション'));





/* ---------------------------------------
   投稿順番 判定
   -------------------------------------- */

function isFirst(){
    global $wp_query;
    return ($wp_query->current_post === 0);
}

function isLast(){
    global $wp_query;
    return ($wp_query->current_post+1 === $wp_query->post_count);
}

function isOdd(){
    global $wp_query;
    return ((($wp_query->current_post+1) % 2) === 1);
}

function isEven(){
    global $wp_query;
    return ((($wp_query->current_post+1) % 2) === 0);
}





/* ---------------------------------------
   リンクカテゴリーのリストを取得
   -------------------------------------- */

function getLinkListArray() {
	$linkCategoryArray = array();
	$cats = get_terms('link_category', 'category_name=&include=&orderby=name&order=DESC&hierarchical=0');
	foreach($cats as $value){
		foreach($value as $key => $value2 ){
			if($key == 'name') {
				$linkCategoryArray[] = $value2;
			}
		}
	}
	return $linkCategoryArray;
}





/* ---------------------------------------
   ページナビゲーション
   -------------------------------------- */
function page_navigation() {
    global $wp_rewrite;
    global $wp_query;
    global $paged;
    $paginate_base = get_pagenum_link(1);
    if(($wp_query->max_num_pages) > 1):
            if (strpos($paginate_base, '?') || ! $wp_rewrite->using_permalinks()) {
                    $paginate_format = '';
                    $paginate_base = add_query_arg('paged', '%#%');
            } else {
                    $paginate_format = (substr($paginate_base, -1 ,1) == '/' ? '' : '/') .
                    user_trailingslashit('page/%#%/', 'paged');;
                    $paginate_base .= '%_%';
            }
            $result = paginate_links( array(
                    'base' => $paginate_base,
                    'format' => $paginate_format,
                    'total' => $wp_query->max_num_pages,
                    'mid_size' => 3,
                    'current' => ($paged ? $paged : 1),
            ));
            echo '<p class="local-navigation">'."\n".$result."</p>\n";
    endif;
}





/* ---------------------------------------
   title要素七変化
   -------------------------------------- */

function title_element()
	{
	if(is_404())
		{
		echo "404 not found - ";
		}
	elseif(is_category())
		{
		single_cat_title();
		echo " - ";
		}
	elseif(is_tag())
		{
		echo "タグ「";
		single_tag_title();
		echo "」に属する記事 - ";
		}
	elseif(is_search())
		{
		_e('キーワード「');
		the_search_query();
		_e('」を含む記事 - ');
		}
	elseif(is_year())
		{
		echo get_the_time('Y年')."の記事 - ";
		}
	elseif(is_month())
		{
		echo get_the_time('Y年n月')."の記事 - ";
		}
	elseif(is_day())
		{
		echo get_the_time('Y年n月j日')."の記事 - ";
		}
	else
		{
		wp_title("&#45;", true, 'right');
		}
	if( $paged > 1 )
		{
		echo $paged."ページ目 - ";
		}
	}





/* ---------------------------------------
   more-linkのハッシュ消し
   【参考】 http://webdesignrecipes.com/wordpress-functions-php-snipets/
   -------------------------------------- */

function remove_more_jump_link($link) {
  $offset = strpos($link, '#more-');
  if ($offset) {
    $end = strpos($link, '"',$offset);
  }
  if ($end) {
    $link = substr_replace($link, '', $offset, $end-$offset);
  }
  return $link;
}
add_filter('the_content_more_link', 'remove_more_jump_link');





/* ---------------------------------------
   more-linkの文字をいじる、空タグを出力しないようにする
   【参考】 http://tenderfeel.xsrv.jp/wordpress/252/
   -------------------------------------- */

 function moretag_custom($content) { 
     if (is_page() || is_single()) { 
         $content = preg_replace('/(?:<p>)*<span id="more-([0-9]+?)"><\/span>(.*?)(?:<\/p>)*/i', "\n$2", $content); 
     }else{ 
         $content = preg_replace('/<p>\s*<a href="(.+?)#more" class="more-link">(.+?)<\/a><\/p>/', '<p class="more"><a href="$1#more" class="more-link">$2</a></p>', $content); 
     } 
     return $content; 
 } 
   
 function custom_more_link( $more_link, $more_link_text ) { 
     $more_link = preg_replace('/#more-[\d]+/i', '#more', $more_link ); 
     return str_replace($more_link_text, "「".the_title('', '', false)."」の続きを読む", $more_link); 
 } 
 add_action('the_content', moretag_custom, 100); 
 add_filter( 'the_content_more_link', 'custom_more_link', 10, 2 );





/* ---------------------------------------
   カスタム投稿タイプのRSSも配信する
   【参考】 http://weble.org/2011/02/17/wordpress-custom-post-type-rss
   -------------------------------------- */

function custom_post_rss_set($query) {
    if(is_feed()) {
		$query->set('post_type',
			Array(
				'post',
				'picture',
				'text'
			)
		);
        return $query;
    }
}
add_filter('pre_get_posts', 'custom_post_rss_set');





/* ---------------------------------------
   同一カテゴリー内の前後移動のlink要素を生成する
   【参考】 http://www.rusica.net/meta_link.txt
   -------------------------------------- */
function meta_link(){
	if(is_single()) {
		global $wpdb, $wp_query;
		$post = $wp_query->post;

		$wpdb->hide_errors(); // hide errors on invalid post queries

		$prev_post = get_previous_post();
		if($prev_post) {
			$prev_title = strip_tags(str_replace('"', '', $prev_post->post_title));
			echo '<link rel="prev" href="' . get_permalink($prev_post->ID) . '" title="' . $prev_title. '" />' . "\n";
		}

		$next_post = get_next_post();
		if($next_post) {
			$next_title = strip_tags(str_replace('"', '', $next_post->post_title));
			echo '<link rel="next" href="' . get_permalink($next_post->ID) . '" title="' . $next_title. '" />' . "\n";
		}

		$wpdb->show_errors(); // turn errors back on
	}
}





/* ---------------------------------------
   生成するimg要素にtitle属性とわけのわからんclassが付与されていて気持ちが悪いのを何とかする
   【参考】 http://www.rusica.net/heft/wp-memo-18
   -------------------------------------- */
function remove_title_from_image_attributes( $attr ) {
    if ( isset( $attr['title'] ) ) {
        unset(  $attr['title'] );
    }
    if ( isset( $attr['class'] ) ) {
        unset(  $attr['class'] );
    }
    return $attr;
}
add_filter( 'wp_get_attachment_image_attributes', 'remove_title_from_image_attributes' );






/* ---------------------------------------
   タグクラウド
   【参考】 http://wp.vicuna.jp/
   -------------------------------------- */
function tag_cloud( $args = '' ) {

	global $wp_rewrite;
	$defaults = array( 'levels' => 6, 'orderby' => 'name', 'order' => 'ASC', 'exclude' => '', 'include' => '' );

	$args = wp_parse_args( $args, $defaults );

	$tags = get_tags( array_merge($args, array('orderby' => 'count', 'order' => 'ASC') ) ); // Always query top tags

	if ( empty($tags) )
		return;

	extract($args);

	if ( !$tags )
		return;
	$counts = $tag_links = array();
	foreach ( (array) $tags as $tag ) {
		$counts[$tag->name] = $tag->count;
		$tag_links[$tag->name] = get_tag_link( $tag->term_id );
		if ( is_wp_error( $tag_links[$tag->name] ) )
			return $tag_links[$tag->name];
		$tag_ids[$tag->name] = $tag->term_id;
	}

	$min_count = min($counts);
	$step = (int) ((max($counts) - $min_count) / $levels) + 1;
	
	if ( $step <= 1 )
		$step = 1;

	// SQL cannot save you; this is a second (potentially different) sort on a subset of data.
	if ( 'name' == $orderby )
		uksort($counts, 'strnatcasecmp');
	else
		asort($counts);

	if ( 'DESC' == $order )
		$counts = array_reverse( $counts, true );

	$a = array();

	$rel = ( is_object($wp_rewrite) && $wp_rewrite->using_permalinks() ) ? ' rel="tag"' : '';

	foreach ( $counts as $tag => $count ) {
		$tag_id = $tag_ids[$tag];
		$tag_link = clean_url($tag_links[$tag]);
		$level = $levels - (int) (($count - $min_count) / $step);
		$tag = str_replace(' ', '&nbsp;', wp_specialchars( $tag ));
		$a[] = "<li class=\"level".$level."\"><a href=\"$tag_link\" title=\"" . attribute_escape( sprintf( __('%d Entries'), $count ) ) . "\"$rel>$tag</a></li>";
	}

	$return = "<ul class=\"tag-cloud\">\n\t";
	$return .= join("\n\t", $a);
	$return .= "\n</ul>\n";

	if ( is_wp_error( $return ) )
		return false;
	else 
		echo apply_filters( 'tag_cloud', $return, $tags, $args );
}





/* ---------------------------------------
   月別ログをすっきりさせる（リスト入れ子）
   【参考】 http://wpxtreme.jp/creating-an-yearly-monthly-archive-index-with-wordpress
   ↓こんな形式
   2011年
		1月　2月　3月
   2012年
		1月　2月　3月
   -------------------------------------- */

function my_get_archives($args = '') {
  global $wpdb, $wp_locale;

  $defaults = array(
    'limit' => '',
    'format' => 'html', 'before' => '',
    'after' => '', 'show_post_count' => false,
    'echo' => 1,
    'yearorder' => 'ASC',  // 年の並び順 ※古い順＝ASC、新しい順＝DESC
    'monthorder' => 'ASC',  // 月の並び順
  );

  $r = wp_parse_args( $args, $defaults );
  extract( $r, EXTR_SKIP );

  if ( '' != $limit ) {
    $limit = absint($limit);
    $limit = ' LIMIT '.$limit;
  }
  if ( (strtoupper($yearorder) != 'ASC') && (strtoupper($yearorder) != 'DESC') )
    $yearorder = 'DESC';
  if ( (strtoupper($monthorder) != 'ASC') && (strtoupper($monthorder) != 'DESC') )
    $monthorder = 'ASC';

  $where = apply_filters('getarchives_where', "WHERE post_type = 'post' AND post_status = 'publish'", $r );
  $join = apply_filters('getarchives_join', "", $r);

  $output = '';

  $query = "
    SELECT YEAR(post_date) AS `year`, MONTH(post_date) AS `month`, count(ID) as posts 
    FROM $wpdb->posts $join $where 
    GROUP BY YEAR(post_date), MONTH(post_date) 
    ORDER BY YEAR(post_date) $yearorder, MONTH(post_date) $monthorder 
    $limit";
  $key = md5($query);
  $cache = wp_cache_get( 'my_get_archives', 'general' );
  if ( !isset( $cache[ $key ] ) ) {
    $arcresults = $wpdb->get_results($query);
    $cache[ $key ] = $arcresults;
    wp_cache_add( 'my_get_archives', $cache, 'general' );
  } else {
    $arcresults = $cache[ $key ];
  }
  if ( $arcresults ) {
    $afterafter = $after;
    $outputs = $posts = array();
    foreach ( (array) $arcresults as $arcresult ) {
      $url = get_month_link( $arcresult->year, $arcresult->month );
      $text = $wp_locale->get_month($arcresult->month);
      if ( $show_post_count ){
        $after = ' ('.$arcresult->posts.')' . $afterafter;
        $posts[$arcresult->year] += $arcresult->posts;
      }
      $outputs[$arcresult->year] .= get_archives_link($url, $text, $format, $before, $after);
    }
    foreach( $outputs as $year => $output ) {
      $url = get_year_link($year);
      $text = sprintf('%d年', $year);
      if ($show_post_count)
        $after = ' ('.$posts[$year].')' . $afterafter;
      $outputs[$year] 
        = get_archives_link($url, $text, 'custom', '<li>' . $before, $after) 
        . '<ul>' . $outputs[$year] . '</ul></li>';
    }
    $output = implode('', $outputs);
  }
  
  if ( $echo )
    echo $output;
  else
    return $output;
}





/* ---------------------------------------
   現在のクエリを変更してループする
   【参考】 http://ichi.fool.jp/blog/?p=218
   -------------------------------------- */

function &custom_posts($query){
	if(!$query) return;
	
	$temp_query_vars = $GLOBALS['wp_query']->query_vars;
	
	if(!is_array($query))
		parse_str($query, $query);
	
	$query = array_merge($temp_query_vars, $query);
	
	unset($GLOBALS['wp_query']);
	$GLOBALS['wp_query'] =& new WP_Query();
	return $GLOBALS['wp_query']->query($query);
}





/* ---------------------------------------
   ダッシュボードのクイック投稿を無効化
   【参考】 http://www.1010uzu.com/boyaki/2012/03/upgrading-wordpress-to-3-3-1-auto-draft
   -------------------------------------- */
function disable_quick_press()
	{
    remove_meta_box('dashboard_quick_press', 'dashboard', 'side');
	}
	add_action('wp_dashboard_setup', 'disable_quick_press');





/* ---------------------------------------
   テーマのバージョン
   -------------------------------------- */
function az_store_theme_version()
	{
	global $theme_version;
	echo $theme_version;
	}





/* ---------------------------------------
   ホームの説明文
   -------------------------------------- */
function site_information_text()
	{
	global $site_information;
	echo $site_information;
	}





/* ---------------------------------------
   フィルターを無効にする
   -------------------------------------- */

//  抜粋・記事のpタグを削除する
remove_filter('the_excerpt', 'wpautop');
//remove_filter('the_content', 'wpautop');


// クォーテーションを変換しない
remove_filter('the_title',   'wptexturize');
remove_filter('the_excerpt', 'wptexturize');
remove_filter('the_content', 'wptexturize');





/* ---------------------------------------
   WordPressのバージョンなどを削除する
   -------------------------------------- */

remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'rsd_link');





/* ---------------------------------------
   カスタム投稿タイプのページでカスタム投稿タイプ名を出力する（未使用）
   【参考】 http://weble.org/2011/12/02/wordpress-customtype-name

function costom_post_type_name($var)
	{
	$customPostTypeObj = get_post_type_object($var);
	return esc_html($customPostTypeObj->labels->name);
	}

   -------------------------------------- */



/* ---------------------------------------
   特定のカテゴリーのRSS配信を除外する（未使用）

function exclude_rss($query)
    {
    if ($query->is_feed)
        {
        $query->set('cat','-100');
        }
    return $query;
    }
add_filter('pre_get_posts','exclude_rss');

   -------------------------------------- */





/* ---------------------------------------
   wp-head整理

remove_action('wp_head', 'feed_links_extra',3,0);
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'parent_post_rel_link', 10, 0);
remove_action('wp_head', 'start_post_rel_link', 10, 0);
remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
remove_action('wp_head', 'locale_stylesheet');
remove_action('wp_head', 'wp_print_styles', 8);
remove_action('wp_head', 'wp_print_head_scripts', 9);
remove_action('wp_head', 'wp_generator');
remove_action( 'wp_head', 'wp_shortlink_wp_head', 10, 0 );
remove_action('wp_head', 'rel_canonical');
remove_action('wp_head', 'wp_enqueue_scripts', 1);

   -------------------------------------- */










// テーマのバージョン
$theme_version = "2013-03-10";
?>